<%@ page language="java" import="org.eclipse.help.HelpSystem, java.util.*, com.ibm.ut.help.common.web.*, com.ibm.ut.help.common.*, com.ibm.war.updater.activator.*, com.ibm.war.updater.utils.*, javax.servlet.http.*, org.eclipse.core.runtime.Preferences;" contentType="text/html;UTF-8" pageEncoding="UTF-8"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<%
    //Localization of Strings
	Locale locale = LocaleUtil.getLocale(request);

	boolean showBanner = request.getParameter("banner")==null || request.getParameter("banner").equals("true");
%>

<html>
    <head>
        <title><%=MessageLibrary.getString("NetworkConnections", locale)%></title>
<% 	if (showBanner){ 	%>
        <link rel="STYLESHEET" type="text/css" href="../topic/com.ibm.ut.help.common/banner/banner.css" />
<%	}	%>
        <link rel="STYLESHEET" type="text/css" href="../topic/com.ibm.ccl.help.webapp.war.updater/css/admin.css" />
        <link rel="STYLESHEET" type="text/css" href="../topic/com.ibm.ut.help.common/css/utcommon.css" />
        <script type="text/javascript" src="../dojotoolkit/dojo/dojo.js" djConfig="parseOnLoad:true">
        </script>
        <script type="text/javascript" src="../topic/com.ibm.ut.help.common/scripts/utcommon.js"></script>
        
        <style type="text/css">
        
            @import "../dojotoolkit/dojo/resources/dojo.css";
            @import "../dojotoolkitext/ibm/themes/jazz/jazz.css";
            @import "../dojotoolkitext/ibm/themes/jazz/Grid.css";
            @import "css/customStyles.css";
            			li{
				list-style :none
			} 
			
            label {
                float: left;
                margin-top: 5px
            }
            
//            input, select {
 //               float: right;
  //              margin-top: 5px
   //         }
            
            form {
                width: 300px;
                height: 400px;
            } #passwordform {
                margin-left: 30%
            }
        </style>
        <script type="text/javascript">
            dojo.require("dijit.layout.BorderContainer");
            dojo.require("dijit.layout.ContentPane");
            dojo.require("dijit.TitlePane");
			dojo.require("dijit.Tooltip");
			dojo.require("dijit.Dialog");
            dojo.require("dijit.form.Form");
            dojo.require("dijit.form.Button");
            dojo.require("dijit.form.Select");
            dojo.require("dijit.form.ComboBox");
            dojo.require("dijit.form.TextBox");
            dojo.require("dijit.form.ValidationTextBox");
			dojo.require("dojox.grid.DataGrid");
			dojo.require("dojo.data.ItemFileWriteStore");
			dojo.require("dojo.parser");
	
            dojo.require("dojo._base.xhr");
			dojo.registerModulePath("ibm", "../../dojotoolkitext/ibm");
			dojo.require("ibm.data.RESTItemStore");
			dojo.require("ibm.widget.grid.cells.Pass");

			var hold = false;
			var isDirty = false;
			var isListening = false;
	
            dojo.addOnLoad(function(){
            	loadProvider();
            	
            	setTimeout('isListening = true',1000);
            	
				dojo.connect(proxyGridStore, "onNew", proxiesChanged);
				dojo.connect(proxyGridStore, "onSet", proxiesChanged);
				dojo.connect(proxyGridStore, "onDelete", proxiesChanged);
				dojo.connect(proxyGrid, 'onStyleRow' , this, function(row){colorNative(proxyGrid,row);});
				
				dojo.connect(bypassGridStore, "onNew", bypassChanged);
				dojo.connect(bypassGridStore, "onSet", bypassChanged);
				dojo.connect(bypassGridStore, "onDelete", bypassChanged);
				dojo.connect(bypassGrid, 'onStyleRow' , this, function(row){colorNative(bypassGrid,row);});
				
				dojo.connect(dojo.byId('host'), "onkeyup", validateHost);
				
            });            
            
            function colorNative(grid,row){
				var item = grid.getItem(row.index);
                if (item) {
                    var type = grid.store.getValue(item, "provider", null);
                    if (type == "Native") {
                        row.customStyles += "background-color:rgb(254,255,228);";
                    }
                }
                grid.focus.styleRow(row);
                grid.edit.styleRow(row);
            }
            
            function validateHost()
            {
           		dijit.byId('hostDialogOK').attr('disabled',document.getElementById('host').value=="");
           	}
            
            function loadProvider()
            {
				dojo.xhrPost({
					url: '../com.ibm.ut.help.common.connector.ConnectorServlet',
					handleAs: "json",
					content: {
						op:'proxyInfo'
					},
					load: function(data, ioArgs) {
						
						if (data.isEnabled && data.isSysEnabled)
							dijit.byId('providerSelect').attr('value','native');
						else if (data.isEnabled)
							dijit.byId('providerSelect').attr('value','manual');
						else
							dijit.byId('providerSelect').attr('value','direct');
					},
					error: function(data, ioArgs) {
						return;
					}
				});	            
            }
            
            function providerChanged()
            {
				var provider = dijit.byId('providerSelect').attr('value');
				var enabled = false;
				var sysEnabled = false;
				
				if (provider=="manual")
					enabled = true;
				else if (provider=="native"){
					sysEnabled = true;
					enabled = true;
				}

				resetCheckboxes();

				dirty();
            }
            
            function proxiesChanged(param)
            {
            	if(param && !hold)
            	{
            		if (param.userid!="" && param.password!="")
            			param.requiresAuthentication = [ true ];
            		else
            			param.requiresAuthentication = [ false ];
            	
					dirty();
	            }
            }
            
            function bypassChanged(param)
            {
            	if(param)
            	{
            		dirty();
            	}
            }
            
            function dirty()
            {
            
				if (isListening){
	            	document.getElementById("saveButton").disabled = false;
	            	isDirty = true;
	            }
            }
            
            function commit()
            {
            	if (!isDirty)
            		return;
            	isDirty = false;

				var provider = dijit.byId('providerSelect').attr('value');
				var enabled = false;
				var sysEnabled = false;
				
				if (provider=="manual")
				{
					enabled = true;
				}
				else if (provider=="native")
				{
					sysEnabled = true;
				}
					
				var json="{ isEnabled:"+enabled+", isSysEnabled:"+sysEnabled+"}"
				
				dojo.xhrPost({
					url: '../com.ibm.ut.help.common.web.Proxies/provider',
					handleAs: "text",
					postData:json
				});				

            	
	            proxyGridStore.save({onComplete:function(){}});
	            bypassGridStore.save({onComplete:function(){
		            bypassGridStore.close();
		            bypassGridStore.fetch();
		            bypassGrid.setStore(bypassGridStore, { host: '*' });          
	            	document.getElementById("saveButton").disabled = true;
	            }});
	            
	            
	        }
			
			function addHost(name)
			{
				document.getElementById('host').value='';
				dijit.byId('hostDialog').show();
			}
            
            function hostAdded()
            {
            	var date = new Date();
            	bypassGridStore.newItem({host:document.getElementById('host').value,provider:'Manual',id:document.getElementById('host').value});
            	dirty();
            }
			
			// URL formatter - if an anchor is in the data, display it as a hyperlink in the grid
			function urlFormatter(name)
			{
				if (name.indexOf("&lt;a")>-1)
				{
					name = name.replace(/&lt;/g,'<');
					return name;
				}
				return name;
			}
			
			// Check formatter
			function checkFormatter(provider)
			{
				var check;
				var selectedProvider = dijit.byId('providerSelect').attr('value');
				if (selectedProvider=="manual" && provider=="Manual")
					return '<input type="checkbox" disabled checked class="gridCheckBox'+provider+'"/>';
				else if (selectedProvider=="native" && provider=="Native")
					return '<input type="checkbox" disabled checked class="gridCheckBox'+provider+'"/>';
				else
					return '<input type="checkbox" disabled class="gridCheckBox'+provider+'"/>';
			}
            
            function resetCheckboxes()
            {
				var selectedProvider = dijit.byId('providerSelect').attr('value');
            	var mChecks = getElementsByClass("gridCheckBoxManual");
            	var nChecks = getElementsByClass("gridCheckBoxNative");
            	
				for (var m=0;m<mChecks.length;m++)
					mChecks[m].checked = selectedProvider=="manual";
				for (var n=0;n<nChecks.length;n++)
					nChecks[n].checked = selectedProvider=="native";
            }
            
            function providerFormatter(provider){
            	if (provider=="Manual")
            		return '<%=Messages.getString("Manual",locale)%>';
            	else
            		return '<%=Messages.getString("Native",locale)%>';
            }
            
            function authFormatter(auth){
            	if (auth)
            		return '<%=MessageLibrary.getString("True",locale)%>';
            	else
            		return '<%=MessageLibrary.getString("False",locale)%>';
            }
            
            function passFormatter(value)
            {
            	var p = "";
            	for (var l=0;l<value.length;l++)
            		p+='*';
            	return p;
            }
            
			// Remove Button formatter - add a remove button to this cell
			function proxyClearButtonFormatter(id)
			{
			
				if (id.indexOf("Manual")>-1)
					return '<a title="Clear Proxy Information" href="javascript:clear(\''+id+'\')" class="gridRemove" style="width:25px;height:25px;">&nbsp;&nbsp;&nbsp;&nbsp;</a>';
				else
					return '';			
			}
			
			// Remove Button formatter - add a remove button to this cell
			function bypassRemoveButtonFormatter(id)
			{
				if (id.indexOf("Manual")>-1)
					return '<a title="<%=MessageLibrary.getString("Remove", locale)%>" href="javascript:gridRemove(\''+id+'\')" class="gridRemove" style="width:25px;height:25px;">&nbsp;&nbsp;&nbsp;&nbsp;</a>';			
				else
					return '&nbsp;';
			}
			
            function gridRemove(id)
            {
 				bypassGridStore.fetch({
					query:{id:id},
					onItem:function(item){
						bypassGridStore.deleteItem(item);
					}
				});
			}           
			
			function clear(id)
			{
				hold = true;
				proxyGridStore.fetch({
					query:{id:id},
					onItem:function(item){
						proxyGridStore.setValue(item,'host','');
						proxyGridStore.setValue(item,'port','');
						proxyGridStore.setValue(item,'userid','');
						proxyGridStore.setValue(item,'password','');
						hold = false;
						dirty();
					}
				});
			}
            
        </script>
    </head>

    <body class="jazz">    	
    	<span dojoType="ibm.data.RESTItemStore" 
    		jsId="proxyGridStore" 
    		data="{title:'test',identifier:'title',items:[]}"
    		useIdentifier="true"
    		saveURL="../com.ibm.ut.help.common.web.Proxies"
    		url="../com.ibm.ut.help.common.web.Proxies">
    	</span>
    	<span dojoType="ibm.data.RESTItemStore" 
    		jsId="bypassGridStore" 
    		data="{title:'test',identifier:'title',items:[]}"
    		clearOnClose="true"
    		useIdentifier="true"
    		saveURL="../com.ibm.ut.help.common.web.ProxyBypasses"
    		url="../com.ibm.ut.help.common.web.ProxyBypasses">
    	</span>
    	<span dojoType="dojo.data.ItemFileWriteStore" 
    		jsId="addGridStore" 
    		data="{title:'test',identifier:'title',items:[{title:'<a href=javascript:addHost() ><%=MessageLibrary.getString("AddHost", locale)%></a>',empty:''} ]}">
    	</span>
    
<%
	if (showBanner){
%>
		<!-- BEGIN IBM BANNER -->
		<div class="bannerContainer">
			<div class="headerContainer">
				<div class="headerCenter">
					<div class="headerLeft"></div>
					<div class="headerRight"></div>
				</div>
			</div>
			<div class="bannerContent">
				<div class="helpLogo"></div>
				<div class="helpTitle"><%=MessageLibrary.getString("NetworkConnections", locale)%></div>
				<div class="ibmLogo"></div>
			</div>
		</div>
	    <!-- END IBM BANNER -->

		<table class="banneredTable jazz_clear" cellspacing="15">
<%	}else{	%>	
		<table class="mainTable jazz_clear" cellspacing="15">
		<tr style="height:5%;">
			<td><span class="mainTitle"><%=MessageLibrary.getString("NetworkConnections", locale)%></span></td>
		</tr>
<%	}	%>	
		<tr style="height:2%;">
			<td>
				<p class="mainDescription">
					<%=HelpSystem.getContext("com.ibm.ccl.help.webapp.war.updater.ProxyPageDesc",locale.toString()).getText()%>
				</p>
			</td>
		</tr>
		<tr>
			<tr>
				<td>              
					<span style="position:relative;top:2px;">
                    	<%=MessageLibrary.getString("Provider",locale)%>:
                    </span>
					<select dojoType="dijit.form.Select" jsId="providerSelect" id="providerSelect" name="providerSelect" onChange="providerChanged()">
					    <option value="direct">
                    		<%=Messages.getString("Direct",locale)%>
					    </option>
					    <option value="manual">
                    		<%=Messages.getString("Manual",locale)%>
					    </option>
					    <option value="native">
                    		<%=Messages.getString("Native",locale)%>
					    </option>
					</select>
					
                    <br/><br/>
					<div class="jazz_clear" 
						dojoType="dijit.TitlePane"
						region="leading" 
						id="entryPane"
						title="<%=MessageLibrary.getString("ProxyEntries",locale)%>">
                        
						<table id="proxyGrid"
							jsId="proxyGrid"
							dojoType="dojox.grid.DataGrid"
							query="{ type: '*' }"
							store="proxyGridStore"
							clientSort="true"
							rowSelector="16px"
							selectionMode="none"
							autoheight="true">
							<thead>
								<tr>
									<th width="20px" field="provider" formatter="checkFormatter">
										&nbsp;
									</th>
									<th width="20%" field="type">
										<%=MessageLibrary.getString("Schema",locale)%>
									</th>
									<th width="20%" field="host" editable="true">
										<%=MessageLibrary.getString("Host",locale)%>
									</th>
									<th width="20%" field="port" editable="true">
										<%=MessageLibrary.getString("Port",locale)%>
									</th>
									<th width="15%" field="provider" formatter="providerFormatter">
										<%=MessageLibrary.getString("Provider",locale)%>
									</th>
									<th width="15%" field="requiresAuthentication" formatter="authFormatter">
										<%=MessageLibrary.getString("Auth",locale)%>
									</th>
									<th width="15%" field="userid" editable="true">
										<%=MessageLibrary.getString("User",locale)%>
									</th>
									<th width="15%" field="password" editable="true" cellType="ibm.widget.grid.cells.Pass" formatter="passFormatter">
										<%=MessageLibrary.getString("Password",locale)%>
									</th>
									<th width="30px" field="id" formatter="proxyClearButtonFormatter">
										&nbsp;
									</th>
								</tr>
							</thead>
						</table>
					</div>
				</td>
			</tr>

	        <tr>
				<td class="left">
					<div class="jazz_clear" dojoType="dijit.TitlePane"
						region="leading" 
						id="userTitlePane"
						title="<%=MessageLibrary.getString("ProxyBypass",locale)%>">

						<table id="bypassGrid"
							jsId="bypassGrid"
							dojoType="dojox.grid.DataGrid"
							query="{ host: '*' }"
							store="bypassGridStore"
							clientSort="true"
							rowSelector="16px"
							selectionMode="none"
							autoheight="true">
							<thead>
								<tr>
									<th width="20px" field="provider" formatter="checkFormatter">
										&nbsp;
									</th>
									<th width="50%" field="host" editable="true">
										<%=MessageLibrary.getString("Host",locale)%>
									</th>
									<th width="50%" field="provider" formatter="providerFormatter">
										<%=MessageLibrary.getString("Provider",locale)%>
									</th>
									<th width="30px" field="id" formatter="bypassRemoveButtonFormatter">
										&nbsp;
									</th>
								</tr>
							</thead>
						</table>
						<table id="addGrid"
							jsId="addGrid"
							dojoType="dojox.grid.DataGrid"
							query="{ title: '*' }"
							store="addGridStore"
							clientSort="true"
							rowSelector="16px"
							selectionMode="none"
							autoheight="true"
							class="no-header">
							<thead>
								<tr>
									<th width="30px" field="empty">
										&nbsp;
									</th>
									<th width="100%" field="title" formatter="urlFormatter">
										<%=MessageLibrary.getString("Name",locale)%>
									</th>
								</tr>
							</thead>
						</table>
					</div>
				</td>
			</tr>
			<tr>
				<td align="right">
					<input id="saveButton" type="submit" value="<%=MessageLibrary.getString("Save",locale)%>" onClick="commit();" disabled="true" style="padding: 0px 5px 0px 5px;"></input>
					
				</td>
			</tr>
		</table>
		
		<div dojoType="dijit.Dialog" id="hostDialog" title="<%=MessageLibrary.getString("AddHost",locale)%>" style="overflow: hidden;">
			<table>
				<tr>
					<td><%=MessageLibrary.getString("Host",locale)%>:</td>
					<td><input name="host" required="true" dojotype="dijit.form.ValidationTextBox" id="host" /></td>
				</tr>
				<tr>
					<td>&nbsp;</td>
					<td>
						<button id="hostDialogOK" dojoType="dijit.form.Button" type="submit" 
							onclick="hostAdded()" disabled="true"><%=MessageLibrary.getString("OK",locale)%></button>
						<button id="hostDialogCancel" dojoType="dijit.form.Button" type="submit" onclick="javascript:dijit.byId('hostDialog').hide()"><%=MessageLibrary.getString("Cancel",locale)%></button>
					</td>
				</tr>	
			</table>
		</div>
	</body>
</html>
       