﻿/*
 * Licensed Material - Property of IBM 
 * (C) Copyright IBM Corp. 2010 - All Rights Reserved.
 * US Government Users Restricted Rights - Use, duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp. 
 */

// --------------------------------------------------
// Localized Strings -- User Assistance Web Delivery 
// --------------------------------------------------

{
updateInProgressMsg : "참고: 업데이트가 진행되는 동안 이전 브라우저 단추를 클릭하지 마십시오.",
installInProgressMsg : "참고: 설치가 진행되는 동안 이전 브라우저 단추를 클릭하지 마십시오.",
uninstallInProgressMsg : "참고: 설치 제거가 진행되는 동안 이전 브라우저 단추를 클릭하지 마십시오.",
publicSiteslbl : "공용 사이트",
internalSiteslbl : "내부 사이트",
siteNamelbl : "이름",
siteLoclbl : "위치",
availFeaturelbl : "사용 가능한 기능",
installFeaturelbl : "설치된 기능",
featureDesclbl : "기능 설명",
includedFeatureslbl : "포함된 기능",
installlbl : "설치",
removelbl : "제거",
featurelbl : "기능",
installSizelbl : "설치 크기",
statuslbl : "상태",
addSitelbl : "내부 사이트 추가",
viewEditSitelbl : "내부 사이트 보기 및 편집",
siteTypelbl : "사이트 유형",
namelbl : "이름",
oklbl : "확인",
cancellbl : "취소",
restartmsg : "도움말 시스템은 이제 변경사항을 적용하기 위해 다시 시작됩니다.",
installfailedmsg : "기능 설치에 실패했습니다.",
errorConnectmsg : "사이트 URL에 연결할 수 없습니다.",
noFeaturemsg : "기능을 찾을 수 없습니다.",
searchFeaturemsg : "업데이트를 검색하십시오.",
seeLogMsg : "자세한 내용은 로그를 참조하십시오.",

featureDescriptionlbl : "기능 설명",
includedFeaturelbl: "포함된 기능",
clearlbl: "지우기",
messagelbl: "메시지",
typelbl : "유형",
warninglbl : "경고",
messageerrorlbl : "오류",
infolbl : "정보",
installingFeaturelbl : "기능 설치 중",
uninstallingFeaturelbl : "기능 설치 제거 중", 
updatesAppliedlbl : "업데이트 적용됨",
sitesSavedlbl : "사이트 저장됨",
savingSitelbl : "로컬 사이트 저장 중",
locallbl : "로컬",
remotelbl : "원격",
processFeatureslbl : "기능 처리 중...",
restartWaitlbl : "변경사항을 저장하기 위해 도움말 시스템이 다시 시작되는 동안 기다리십시오.",
platformResetlbl : "플랫폼이 재설정되었습니다. 변경사항을 적용하려면 제품을 다시 시작해야 합니다.",
retrieveFeatureslbl : "기능 검색 중...",
contactServerlbl : "서버 연결 중...",
searchForUpdateslbl : "업데이트 검색 중...",
prepareInstalllbl : "설치 준비 중...",
prepareUninstalllbl : "설치 제거 준비 중..",
selectUpdateSitelbl : "업데이트를 검색할 사이트를 선택하십시오.",
errorResettinglbl : "도움말 시스템을 다시 시작하는 중에 오류 발생",
errorConnectingPlatformlbl: "플랫폼과 연결하는 중에 오류 발생",
runinbckgrndlbl : "백그라운드에서 실행",
errorFFBrowserSecuritylbl : '브라우저 보안 설정으로 인해 로컬 파일에 액세스할 수 없습니다. <br/>로컬 파일에 액세스하려면 다음 단계를 수행하십시오. <br/>(1) 브라우저 창의 URL 필드에 about:config를 입력하십시오. 구성 환경 설정 페이지가 브라우저에 표시됩니다. <br/>(2) 표시된 구성 환경 설정 페이지에서 마우스 오른쪽 단추를 클릭하고 컨텍스트 메뉴에서 새로 만들기 > 연산자를 선택하십시오. <br/>(3) 새 환경 설정 이름으로 "signed.applets.codebase_principal_support"(따옴표 제외)를 입력하십시오. <br/>(4) 확인을 클릭하십시오. <br/>(5) "site.xml" 파일 추가를 다시 시도하십시오.',
errorRelativePathNotAllowed : "'{0}' 파일을 로드할 수 없음: 상대 경로가 허용되지 않습니다. 이 파일의 절대 경로를 제공하십시오.",
errorFileNotFound : "'{0}' 파일을 찾을 수 없습니다.",
errorIEBrowserSecuritylbl : '브라우저 보안 설정으로 인해 로컬 파일에 액세스할 수 없습니다. <br/>로컬 파일에 액세스하려면 다음 단계를 수행하십시오. <br/>(1) Internet Explorer 창에서 도구 > 인터넷 옵션을 클릭하십시오. <br/>(2) 보안 탭에서 사용자 지정 수준을 클릭하십시오. <br/>(3) 스크립팅하기 안전하지 않은 것으로 표시된 ActiveX 컨트롤 초기화 및 스크립팅 설정을 사용 가능하게 하십시오. <br/>(4) 확인을 클릭하십시오. <br/>(5) "site.xml" 파일 추가를 다시 시도하십시오.',
errorNoFilePermission : "파일 권한 때문에 로컬 파일 '{0}'에 액세스할 수 없습니다. 파일 및/또는 상위 디렉토리가 읽기 가능한지 확인하십시오.",
infoOperationRunning : "실행 중인 오퍼레이션이 있습니다. <br/>잠시 기다리십시오...",
errorReadFeatureList : "선택된 기능을 읽는 중에 오류 발생",
infoInstallDependencyFeature : "선택된 기능에 {0}이(가) 필요합니다. <br/><br/>도움말 주제를 보려면 {1}을(를) 설치해야 합니다.",
infoUninstallDependencyFeature : "설치 제거하기 위해 선택한 기능이 {0}에 필요합니다. <br/><br/>또한 {1}도 설치 제거해야 합니다.",
confirmCancelInstall : "현재 설치 취소 시 이전 상태로 롤백하며 몇 분이 걸릴 수 있습니다. 계속하시겠습니까?",
readPendingTask : "마지막 세션에서 보류 중인 오퍼레이션을 읽는 중입니다. <br/>잠시 기다리십시오...",
readRollbackFeatureList : "현재 설치를 롤백하기 위해 기능 정보를 읽는 중입니다. <br/>잠시 기다리십시오...",
errorReadPendingTaskFailed : "마지막 세션에서 보류 중인 오퍼레이션을 읽는 중에 오류 발생",
infoCancelInProgress : "현재 오퍼레이션을 취소하는 중입니다. <br/>잠시 기다리십시오...",
allsiteslbl : "모든 사이트",
publicsiteslbl : "공용 사이트",
internalsiteslbl : "내부 사이트",
installedappcontentlbl : "설치된 애플리케이션 컨텐츠",
downloadfeatures : "기능 다운로드 중...",
installfeatures : "소프트웨어 설치 중...",
uninstallfeatures : "소프트웨어 제거 중...",
updatefeatures : "소프트웨어 업데이트 중...",
showstatuslbl : "세부사항 표시",
aboutLocalHelpSystem : "로컬 도움말 시스템 정보...",
lhuTitle : "로컬 도움말 업데이트 프로그램",
dependencyFound : "종속성을 찾았음"
}
