
dojo.require("dijit.form.ToggleButton");
dojo.provide("ibm.widget.PreferenceToggleButton");


dojo.declare("ibm.widget.PreferenceToggleButton",
	dijit.form.ToggleButton,
{
	url:"",
	preference:"",
	
	constructor: function(keywordParameters){
		this.url = keywordParameters.url;
		this.preference = keywordParameters.preference;
		
		// Load to set state does not work, set it in the jsp
//		this.load();
//		this.delay=500;
	},
	
	_setCheckedAttr: function(/*Boolean*/ value){
		// If I am being checked then have to deselect currently checked radio button
		this.inherited(arguments);
		if(!this._created){ return; }

		this.save(value);
	},
	
	save: function(value){
		var json = "{value:"+value+"}";
	
		dojo.xhrPut({
			url: this.url,
			putData: json,
			load: function(){},
			error: function(){}
		});
	},
	
	load: function(){
	
		dojo.xhrGet({
			url: this.url,
			load: function(data, ioArgs) {
				
				this.checked = (data=="true");
				this.setChecked(data=="true");
			},
			error: function(){}
		});
	}
	
});