
if(!dojo._hasResource["ibm.widget._ErrorBase"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
	dojo._hasResource["ibm.widget._ErrorBase"] = true;
}	

dojo.provide("ibm.widget._ErrorBase");

dojo.declare("ibm.widget._ErrorBase",
	null,
{

	loadFeed: function(onLoad,onHandle,onError,searchTerm,url){
    	var url = url.replace(/\$\{query\}/g,searchTerm);
    	url = url.replace(/ /g,"%20");
    	url = this.getBaseURL()+'/com.ibm.ut.widget.error.FeedService?'+url;
		dojo.xhrGet({
			preventCache: true,
			url: url,
			handleAs: 'json',
			load: function(data, ioArgs) {
				onLoad(data, ioArgs);
			},
			handle: function(data,ioArgs){
				onHandle(data,ioArgs);
			},
			error: function(data, ioArgs){
				onError(data,ioArgs);
			}
		});
	},
	

	getBaseURL: function(){
		var path = window.location.pathname;
		var paths = path.split("/");
		
		var context = paths[1];
		   
		var href = window.location.href;
		var base = href.substring(0,href.indexOf("/"+context+"/"))+"/"+context;
	
		return base;
	},

	
	addFunction: function(name,id,text)
	{
		if (document.getElementById(id)==null)
		{
			var head= document.getElementsByTagName('head')[0];
			var script = document.createElement('script');
			script.type = 'text/javascript';
			script.id = id;
			
			if (dojo.isIE > 1)
				script.text = text;
			else
				script.innerHTML = text;
			head.appendChild(script);
		}
	}
});