

function loadURL(url)
{
	var sURL = "http://127.0.0.1:10000/help/feed/generate?text=test&context=titles&feedType=rss_2.0&toc=&treeControl=false";
	iframe.location.href = sURL;
}

function onGenerate()
{
	var url = getGeneratedURL();

	iframe.location.href = url;
	document.getElementById('url').value = url;
}

function onUpdate()
{
	var url = document.getElementById('url').value;

	iframe.location.href = url;
}


function getGeneratedURL()
{
	var url=location.href
	var args=0;

	var keyword = document.getElementById('keyword').value;
	keyword = keyword.replace(/ /g,"+");
	
	if (keyword!="")
	{
		args++;
		if (args==1){
			url+="?";
		}
		if (args>1){
			url+="&";
		}
		url+="keyword="+keyword;
	}
		
	var subjects = document.getElementById('subjects').value;
	subjects = subjects.replace(/ /g,"+");
	
	if (subjects!="")
	{
		args++;
		if (args==1){
			url+="?";
		}
		if (args>1){
			url+="&";
		}
		url+="subjects="+subjects;
	}
	
	var count = document.getElementById('count').value;
	
	if (count!="")
	{
		args++;
		if (args==1){
			url+="?";
		}
		if (args>1){
			url+="&";
		}
		url+="count="+count;
	}	
		
	var recurse = document.getElementById('recurse').value;
	
	if (recurse!="")
	{	
		args++;
		if (args==1){
			url+="?";
		}
		if (args>1){
			url+="&";
		}
		url+="recurse="+recurse;
	}
	var includeThisIC = document.getElementById('includeThisIC').value;
	if (includeThisIC!="")
	{	
		args++;
		if (args==1){
			url+="?";
		}
		if (args>1){
			url+="&";
		}
		url+="includeThisIC="+includeThisIC;
	}
		
	var ics = document.getElementById('ics').value;
	ics = ics.replace(/ /g,"+");
	
	if (ics!="")
	{
		args++;
		if (args==1){
			url+="?";
		}
		if (args>1){
			url+="&";
		}
		url+="ics="+ics;
	}
	
	
	return url;
}

function onDisplay()
{
	var feedURL
	
	if (document.getElementById('xFeed').value!="")
		feedURL = document.getElementById('xFeed').value
	else
		feedURL = getGeneratedURL();
		
		
	feedURL = escape(feedURL);
	feedURL = feedURL.replace(/_/gi,"__");
	feedURL = feedURL.replace(/\%/gi,"_");
	
	var url = getDisplayURL()+"#";
  url = escape(url);
	url = url.replace(/_/gi,"__");
	url = url.replace(/\%/gi,"_");
	
//	url = location.href+"/../../index.jsp?topic=/com.ibm.ccl.feedgenerator/"+url+generatedURL+"/topic.html";
	url = location.href+"/../../nftopic/com.ibm.ccl.feedgenerator/"+url+feedURL+"/topic.html";
	
	iframe.location.href = url;
	document.getElementById('url').value = url;
}

function getDisplayURL()
{
	var url="";
	var args=0;

	var abs = document.getElementById('abstract').value;
	
	if (abs!="")
	{
		args++;
		if (args>1){
			url+="&";
		}
		url+="abstract="+abs;
	}
	
	var expand = document.getElementById('expand').value;
	
	if (expand!="")
	{
		args++;
		if (args>1){
			url+="&";
		}
		url+="expand="+expand;
	}
	
	var count = document.getElementById('r_count').value;
	if (count!="")
	{
		args++;
		if (args>1){
			url+="&";
		}
		url+="count="+count;
	}
	
	var dates = document.getElementById('dates').value;
	if (dates!="")
	{
		args++;
		if (args>1){
			url+="&";
		}
		url+="dates="+dates;
	}
	
	var startDate = document.getElementById('startDate').value;
	if (startDate!="")
	{
		args++;
		if (args>1){
			url+="&";
		}
		url+="startDate="+startDate;
	}
	
	var endDate = document.getElementById('endDate').value;
	if (endDate!="")
	{
		args++;
		if (args>1){
			url+="&";
		}
		url+="endDate="+endDate;
	}
	
	return url;
}

function fillDate(id)
{
	var date = new Date();
	var dateStr = date+"";
	dateStr = dateStr.replace(/\ \(.*\)/,"");
	document.getElementById(id).value = dateStr;
}

function buttonDown(button)
{
	button.style.left++;
}
function buttonUp(button)
{
	button.style.left--;
}