
function isItem(/* anything */ something) {
	if(something) {
		return typeof something.i!="undefined";
	}
	return false;
}

function hasAttribute(/* item */ item,	/* attribute-name-string */ attribute) {
	return isItem(item) && typeof item.i[attribute]!="undefined";
}

function getValue(/* item */ item, /* attribute-name-string */ attribute) {
	if (dojo.isString(attribute)) {
		if (hasAttribute(item, attribute)) {
			return item.i[attribute];
		}
	}
	return null;
}

function getItem(/* items */ items, /* uid-name-string */ uid) {
	
}

function findItemByIdentify(/* items */ items, /* identify-name-string */ identify, /* value-name-string */ value) {
	
	if (!dojo.isString(identify)) {
		throw new Error("findItemByIdentify(): Invalid identify, string expected!");
	}
	
	if (!dojo.isString(value)) {
		throw new Error("findItemByIdentify(): Invalid value, string expected!");
	}
	
	for(i = 0; i < ROOT_TREE_STORE_ITEMS.length; ++i){
		if (ROOT_TREE_STORE_ITEMS[i].i[identify] == value)
			return ROOT_TREE_STORE_ITEMS[i];
	}
	return null;
}
